UpdateServiceFunction
Updates a service function.
Request Syntax
POST /v2/update-function HTTP/1.1
Content-type: application/json
{
"criticality": "string",
"description": "string",
"name": "string",
"serviceArn": "string",
"serviceFunctionId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- criticality
-
The updated criticality level of the service function.
Type: String
Valid Values:
PRIMARY | SUPPLEMENTALRequired: No
- description
-
Resource description.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 500.
Required: No
- name
-
Entity label (not part of ARN — spaces allowed).
Type: String
Length Constraints: Minimum length of 2. Maximum length of 60.
Pattern:
[A-Za-z0-9][A-Za-z0-9 _\-]{1,59}Required: No
- serviceArn
-
ARN identifier.
Type: String
Length Constraints: Minimum length of 31.
Pattern:
arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}Required: Yes
- serviceFunctionId
-
The identifier of the service function to update.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
\S{1,255}Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"serviceFunction": {
"createdAt": number,
"criticality": "string",
"description": "string",
"name": "string",
"resourceCount": number,
"serviceArn": "string",
"serviceFunctionId": "string",
"source": "string",
"updatedAt": number
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- serviceFunction
-
The updated service function.
Type: ServiceFunction object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access denied — caller lacks required permissions.
HTTP Status Code: 403
- ConflictException
-
Conflict — resource already exists.
HTTP Status Code: 409
- InternalServerException
-
Internal service error.
HTTP Status Code: 500
- ResourceNotFoundException
-
Resource not found.
- resourceId
-
The identifier of the resource that was not found.
- resourceType
-
The type of the resource that was not found.
HTTP Status Code: 404
- ValidationException
-
Validation error — invalid input parameters.
- fieldList
-
The list of fields that failed validation.
- reason
-
The reason for the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: